## phonon 4.12.0

=== demos/CMakeLists.txt ===
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
set(QT_MAJOR_VERSION 5) # only set this in here! we need it in a separate scope
add_subdirectory(phota)
add_subdirectory(simpleplayer)
add_subdirectory(metadatareader)

if (NOT PHONON_NO_CAPTURE)
    add_subdirectory(simplecapture)
endif (NOT PHONON_NO_CAPTURE)

=== includes/CMakeLists.txt ===
install( FILES
    phonon/AbstractAudioOutput
    phonon/AbstractMediaStream
    phonon/AbstractVideoOutput
    phonon/AddonInterface
    phonon/AudioCaptureDevice
    phonon/AudioCaptureDeviceModel
    phonon/AudioChannelDescription
    phonon/AudioChannelDescriptionModel
    phonon/AudioDataOutput
    phonon/AudioOutput
    phonon/AudioOutputDevice
    phonon/AudioOutputDeviceModel
    phonon/AudioOutputInterface
    phonon/AudioOutputInterface40
    phonon/AudioOutputInterface42
    phonon/AvCapture
    phonon/BackendCapabilities
    phonon/BackendInterface
    phonon/Effect
    phonon/EffectDescription
    phonon/EffectDescriptionModel
    phonon/EffectInterface
    phonon/EffectParameter
    phonon/EffectWidget
    phonon/Global
    phonon/GlobalDescriptionContainer
    phonon/MediaController
    phonon/MediaNode
    phonon/MediaObject
    phonon/MediaObjectInterface
    phonon/MediaSource
    phonon/Mrl
    phonon/ObjectDescription
    phonon/ObjectDescriptionData
    phonon/ObjectDescriptionModel
    phonon/ObjectDescriptionModelData
    phonon/Path
    phonon/PlatformPlugin
    phonon/SeekSlider
    phonon/StreamInterface
    phonon/SubtitleDescription
    phonon/SubtitleDescriptionModel
    phonon/VideoCaptureDevice
    phonon/VideoCaptureDeviceModel
    phonon/VideoPlayer
    phonon/VideoWidget
    phonon/VideoWidgetInterface
    phonon/VideoWidgetInterface44
    phonon/VideoWidgetInterfaceLatest
    phonon/VolumeFaderEffect
    phonon/VolumeFaderInterface
    phonon/VolumeSlider
DESTINATION ${INCLUDE_INSTALL_DIR}/phonon COMPONENT Devel)

if (QT_MAJOR_VERSION EQUAL "5")
    set(COMPAT_HEADERS
        old/Phonon/AbstractAudioOutput
        old/Phonon/AbstractMediaStream
        old/Phonon/AbstractVideoOutput
        old/Phonon/AddonInterface
        old/Phonon/AudioDevice
        old/Phonon/AudioDeviceEnumerator
        old/Phonon/AudioOutput
        old/Phonon/AudioOutputDevice
        old/Phonon/AudioOutputDeviceModel
        old/Phonon/AudioOutputInterface
        old/Phonon/BackendCapabilities
        old/Phonon/BackendInterface
        old/Phonon/Effect
        old/Phonon/EffectDescription
        old/Phonon/EffectDescriptionModel
        old/Phonon/EffectInterface
        old/Phonon/EffectParameter
        old/Phonon/EffectWidget
        old/Phonon/Global
        old/Phonon/MediaController
        old/Phonon/MediaNode
        old/Phonon/MediaObject
        old/Phonon/MediaObjectInterface
        old/Phonon/MediaSource
        old/Phonon/ObjectDescription
        old/Phonon/ObjectDescriptionModel
        old/Phonon/Path
        old/Phonon/PlatformPlugin
        old/Phonon/SeekSlider
        old/Phonon/StreamInterface
        old/Phonon/VideoPlayer
        old/Phonon/VideoWidget
        old/Phonon/VideoWidgetInterface
        old/Phonon/VolumeFaderEffect
        old/Phonon/VolumeFaderInterface
        old/Phonon/VolumeSlider
    )

    install(FILES ${COMPAT_HEADERS}
        DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon
        COMPONENT Devel)

    if (PHONON_BUILD_EXPERIMENTAL)
        install(FILES
            old/Phonon/Experimental/AbstractVideoDataOutput
            old/Phonon/Experimental/AudioDataOutput
            old/Phonon/Experimental/SnapshotInterface
            old/Phonon/Experimental/VideoDataOutput
            old/Phonon/Experimental/VideoDataOutputInterface
            old/Phonon/Experimental/VideoFrame
            old/Phonon/Experimental/VideoFrame2
            old/Phonon/Experimental/Visualization
        DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon/Experimental COMPONENT Devel)
        # Qt4.x never included the experimental library, so no need for compat headers.
    endif (PHONON_BUILD_EXPERIMENTAL)
endif()

=== phonon/CMakeLists.txt ===
if(PHONON_BUILD_EXPERIMENTAL)
    add_subdirectory(experimental)
endif()

configure_file(phononconfig_p.h.in ${CMAKE_CURRENT_BINARY_DIR}/phonon/phononconfig_p.h @ONLY)
configure_file(phononnamespace.h.in ${CMAKE_CURRENT_BINARY_DIR}/phonon/phononnamespace.h @ONLY)

find_package(PulseAudio 0.9.15)
set_package_properties(PulseAudio PROPERTIES
    TYPE RECOMMENDED
    DESCRIPTION "A cross-platform, networked sound server"
    URL "http://www.pulseaudio.org")
find_package(GLIB2)
set_package_properties(GLIB2 PROPERTIES
    TYPE RECOMMENDED
    DESCRIPTION "GLib 2 is required to compile the pulseaudio for Phonon"
    URL "http://www.gtk.org/download/")

if (GLIB2_FOUND AND PULSEAUDIO_FOUND)
   set(PHONON_PULSESUPPORT TRUE CACHE BOOL "Has Phonon pulseaudio support ?")
   if(PHONON_PULSESUPPORT)
       add_definitions(-DHAVE_PULSEAUDIO)
   endif(PHONON_PULSESUPPORT)
   include_directories(${GLIB2_INCLUDE_DIR} ${PULSEAUDIO_INCLUDE_DIR})
else(GLIB2_FOUND AND PULSEAUDIO_FOUND)
   set(PHONON_PULSESUPPORT FALSE CACHE BOOL "Has Phonon pulseaudio support ?")
   set(PULSEAUDIO_INCLUDE_DIR "")
   set(PULSEAUDIO_LIBRARY "")
   set(PULSEAUDIO_MAINLOOP_LIBRARY "")
endif(GLIB2_FOUND AND PULSEAUDIO_FOUND)

set(phonon_LIB_SRCS
   abstractaudiooutput.cpp
   abstractaudiooutput_p.cpp
   abstractmediastream.cpp
   abstractvideooutput.cpp
   abstractvideooutput_p.cpp
   audiodataoutput.cpp
   audiooutput.cpp
   audiooutputinterface.cpp
   backendcapabilities.cpp
   effect.cpp
   effectparameter.cpp
   effectwidget.cpp
   factory.cpp
   globalconfig.cpp
   iodevicestream.cpp
   mediacontroller.cpp
   mediaobject.cpp
   medianode.cpp
   mediasource.cpp
   mrl.cpp
   objectdescription.cpp
   objectdescriptionmodel.cpp
   path.cpp
   phononnamespace.cpp
   platform.cpp
   pulsesupport.cpp
   seekslider.cpp
   statesvalidator.cpp
   streaminterface.cpp
   swiftslider.cpp
   volumefadereffect.cpp
   volumeslider.cpp
   videoplayer.cpp
   videowidget.cpp
   ${phonon_VGO_SRCS}
   )

ecm_create_qm_loader(phonon_LIB_SRCS libphonon_qt)

option(PHONON_NO_PLATFORMPLUGIN "Do not use any platform plugin")
if (PHONON_NO_PLATFORMPLUGIN)
    add_definitions(-DQT_NO_PHONON_PLATFORMPLUGIN)
endif (PHONON_NO_PLATFORMPLUGIN)

add_definitions(-DPHONON_PLUGIN_PATH="${PLUGIN_INSTALL_DIR}")
add_definitions(-DPHONON_BACKEND_DIR_SUFFIX="/${BACKEND_DIR_SUFFIX}/")

set(optional_link_libraries)

if(PHONON_PULSESUPPORT)
    list(APPEND phonon_LIB_SRCS pulsestream.cpp)
    list(APPEND optional_link_libraries ${GOBJECT_LIBRARIES} ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY})
endif()

add_library(${PHONON_LIB_SONAME} SHARED ${phonon_LIB_SRCS})
add_library(Phonon::${PHONON_LIB_SONAME} ALIAS ${PHONON_LIB_SONAME})

target_link_libraries(${PHONON_LIB_SONAME}
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Widgets
    PRIVATE
        ${optional_link_libraries}
)

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(${PHONON_LIB_SONAME} PRIVATE Qt6::Core5Compat)
endif()

set_target_properties(${PHONON_LIB_SONAME}
    PROPERTIES
        VERSION ${PHONON_VERSION}
        SOVERSION ${PHONON_SOVERSION}
        DEFINE_SYMBOL MAKE_PHONON_LIB)

target_include_directories(${PHONON_LIB_SONAME}
    INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>"
    PUBLIC
        # snake header <phonon/foo.h>
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../;${CMAKE_CURRENT_BINARY_DIR}/../;${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}/phonon>"
        # camel header <phonon/Foo>
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../includes;${CMAKE_CURRENT_BINARY_DIR}/../includes;${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}/phonon>")

install(TARGETS ${PHONON_LIB_SONAME} EXPORT PhononLibs${QT_MAJOR_VERSION} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   abstractaudiooutput.h
   abstractmediastream.h
   abstractvideooutput.h
   addoninterface.h
   audiodataoutput.h
   audiodataoutputinterface.h
   audiooutput.h
   audiooutputinterface.h
   backendcapabilities.h
   backendinterface.h
   effect.h
   effectinterface.h
   effectparameter.h
   effectwidget.h
   globalconfig.h
   globaldescriptioncontainer.h
   mediacontroller.h
   medianode.h
   mediaobject.h
   mediaobjectinterface.h
   mediasource.h
   mrl.h
   objectdescription.h
   objectdescriptionmodel.h
   path.h
   phonon_export.h
   phonondefs.h
   platformplugin.h
   pulsesupport.h
   seekslider.h
   streaminterface.h
   videoplayer.h
   videowidget.h
   videowidgetinterface.h
   volumefadereffect.h
   volumefaderinterface.h
   volumeslider.h
   ${phonon_VGO_HDRS}
   ${CMAKE_CURRENT_BINARY_DIR}/phonon/phononnamespace.h
   ${CMAKE_CURRENT_BINARY_DIR}/phonon_version.h
   DESTINATION ${INCLUDE_INSTALL_DIR}/phonon COMPONENT Devel)

=== settings/CMakeLists.txt ===
add_definitions(-DPHONON_LIB_SONAME=\"${PHONON_LIB_SONAME}\")

set(SRCS
    backendselection.cpp
    backendselection.ui
    devicepreference.cpp
    devicepreference.ui
    main.cpp
    settings.cpp
    settings.qrc
    settings.ui
)

ecm_create_qm_loader(SRCS phononsettings_qt)

add_executable(phononsettings ${SRCS})
target_link_libraries(phononsettings
    Phonon::phonon4qt${QT_MAJOR_VERSION}
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Widgets
)

install(TARGETS phononsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== demos/phota/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(phota)

set(CMAKE_AUTOMOC TRUE)

find_package(Phonon4Qt5 NO_MODULE) # Not required so it builds within phonon as well

set(phota_SRCS
    main.cpp
    mainwindow.cpp
    mediacontroller.cpp
    videoeffects.cpp
)

qt5_wrap_ui(phota_SRCS videoeffects.ui)

add_executable(phota ${phota_SRCS})
target_link_libraries(phota Phonon::phonon4qt5 Qt5::Core Qt5::Widgets)

=== phonon/experimental/CMakeLists.txt ===
########### libphononexperimental ###############
set(phononexperimental_LIB_SRCS
    abstractaudiodataoutput.cpp
    abstractvideodataoutput.cpp
    audiodataoutput.cpp
    audioformat.cpp
    avcapture.cpp
    backendcapabilities.cpp
    factory.cpp
    globalconfig.cpp
    mediasource.cpp
    objectdescription.cpp
    packet.cpp
    packetpool.cpp
    videodataoutput.cpp
    videodataoutput2.cpp
    videowidget.cpp
    visualization.cpp
    ../abstractaudiooutput_p.cpp
    ../abstractvideooutput_p.cpp
   )

add_library(${PHONON_LIB_SONAME}experimental SHARED ${phononexperimental_LIB_SRCS})
target_link_libraries(${PHONON_LIB_SONAME}experimental
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Widgets
        ${PHONON_LIB_SONAME}
)
set_target_properties(${PHONON_LIB_SONAME}experimental
    PROPERTIES
        VERSION ${PHONON_VERSION}
        SOVERSION ${PHONON_SOVERSION}
        DEFINE_SYMBOL MAKE_PHONONEXPERIMENTAL_LIB
)
install(TARGETS ${PHONON_LIB_SONAME}experimental EXPORT PhononExperimentalLibs${QT_MAJOR_VERSION} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
target_include_directories(${PHONON_LIB_SONAME}experimental
    INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>")

########### install headers ###############
install(FILES
    abstractaudiodataoutput.h
    abstractvideodataoutput.h
    audiodataoutput.h
    audiodataoutputinterface.h
    audioformat.h
    avcapture.h
    avcaptureinterface.h
    backendcapabilities.h
    backendinterface.h
    export.h
    mediasource.h
    objectdescription.h
    snapshotinterface.h
    packet.h
    packetpool.h
    phononnamespace.h
    videodataoutput.h
    videodataoutput2.h
    videodataoutputinterface.h
    videoframe.h
    videoframe2.h
    videowidget.h
    visualization.h
    globalconfig.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/phonon/experimental COMPONENT Devel)

=== debian/changelog ===
phonon (4:4.12.0-7) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Fix phonon4settings depending on libphonon4qt5-4t64.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 Feb 2026 16:04:44 +0100

phonon (4:4.12.0-6) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add po-debconf Italian translation. Thanks Luca (@mondo-guest).
  * Bump Standards-Version to 4.7.3, no change required.
  * Switch to debian/watch format version 5.
  * Add/update Jonathan Esk-Riddell’s key in upstream keyring.
  * Build phononsettings against Qt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 02 Feb 2026 09:31:02 +0100

phonon (4:4.12.0-5) unstable; urgency=medium

  * Team upload.

  [ Carles Pina i Estany ]
  * Add Catalan translation. (Closes: #1106330)

  [ Aurélien COUDERC ]
  * Update symbols from build for 4.12.0.
  * Build with hardening=+all build hardening flag.
  * Bump Standards-Version to 4.7.2, no change required.
  * Drop unused lintian overrides.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jun 2025 00:53:58 +0200

phonon (4:4.12.0-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add alternate dependency id 1 to all Qt6 symbols representing
    methods from mediaobjectinterface.h so that users of theses symbols
    pull the alternate phonon4qt6 dependency and get a working phonon
    backend automatically.
  * Update symbols from build for 4.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 23:22:26 +0200

phonon (4:4.12.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063226

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:46:58 +0000

phonon (4:4.12.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch libphonon4qt5-4 to libphonon-l10n, instead of using the transitional
    libphonon4qt5-data.
  * Fix the recommended backend in phonon4qt6 to be the Qt 6 one, rather than
    the Qt 5 one.
  * Simplify installation of the Qt 6 designer plugin to the right location.
  * Drop unused build dependencies:
    - dpkg-dev >= 1.15.5 (really ancient): added in 4:4.6.0really4.3.80-1,
      it is not clear what it was added for; after 13 years, it is likely no
      more needed
    - libqt5opengl5-dev (Closes: #981254)

 -- Pino Toscano <pino@debian.org>  Wed, 08 Nov 2023 07:03:15 +0100

phonon (4:4.12.0-2) experimental; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Force the build of phononsettings with Qt 5, regardless of the available
    Qt versions; see longer explanation in its header; patch settings-qt5.diff.
  * Since libphonon4qt5-data contains only unversioned localization files, move
    its content to a new libphonon-l10n
    - turn libphonon4qt5-data into a transitional package
  * Move the removals of phonon4qt5 headers from a dh_install override to a
    execute_after_dh_auto_install hook, so it is done earlier, and without
    invoking a dh tool manually.
  * Build Qt 6 libraries:
    - add the qt6-base-dev, qt6-5compat-dev, and qt6-tools-dev build
      dependencies
    - drop the -DPHONON_BUILD_QT6=OFF cmake option, as the build system can
      build both the Qt 5 and Qt 6 versions at the same time
    - add new libphonon4qt6-4, libphonon4qt6-dev, libphonon4qt6experimental-dev,
      libphonon4qt6experimental4, phonon4qt6, phonon4qt6-backend-null binary
      packages as counterparts of their Qt 5 versions
    - extend the handling of the default backend for Qt 6
    - move the Qt 6 designer plugin to the proper location manually for now
  * Update symbols files from the logs of buildds.

  [ Remus-Gabriel Chelu ]
  * Add Romanian debconf templates translation. (Closes: #1033386)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Nov 2023 08:25:17 +0100

phonon (4:4.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 4:4.3.0-1.
  * Update standards version to 4.6.2, no changes needed.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update the upstream GPG signing key.
  * Pass -DPHONON_BUILD_QT6=OFF to cmake to disable the Qt 6 build for now.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.90
    - bump Qt 5 packages to 5.15.0
  * Update install files.
  * Update lintian overrides.
  * Add Rules-Requires-Root: no.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Nov 2023 21:21:41 +0100

=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5), cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90~),
               libglib2.0-dev,
               libpulse-dev (>= 0.9.21),
               pkg-kde-tools (>= 0.12),
               qt6-base-dev,
               qt6-5compat-dev,
               qt6-tools-dev,
               qtbase5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://phonon.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon.git

Package: libphonon-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}
Breaks: libphonon4qt5-data (<< 4:4.12.0-2~)
Replaces: libphonon4qt5-data (<< 4:4.12.0-2~)
Description: multimedia framework from KDE using Qt - localization files
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the shared localizations for the core Phonon library.

Package: libphonon4qt5-4t64
Provides: ${t64:Provides}
Replaces: libphonon4qt5-4
Breaks: libphonon4qt5-4 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libphonon-l10n (>= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Description: multimedia framework from KDE using Qt 5 - core library
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon.

Package: libphonon4qt5-data
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: libphonon-l10n (>= ${source:Version}),
         ${misc:Depends}
Description: transitional package for libphonon-l10n
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This is a transitional package for migrating to libphonon-l10n. It can safely
 be removed.

Package: libphonon4qt5-dev
Architecture: any
Section: libdevel
Depends: libphonon4qt5-4t64 (= ${binary:Version}),
         phonon4qt5-backend-null | phonon4qt5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: multimedia framework from KDE using Qt 5 - development files
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 5 applications
 using the Phonon cross-platform multimedia framework.

Package: libphonon4qt5experimental-dev
Architecture: any
Section: libdevel
Depends: libphonon4qt5experimental4t64 (= ${binary:Version}), ${misc:Depends}
Breaks: libphonon4qt5-dev (<< 4:4.11.1~)
Replaces: libphonon4qt5-dev (<< 4:4.11.1~)
Description: multimedia framework from KDE using Qt 5 - experimental development files
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Phonon back-ends
 or internal applications which need the Phonon-Experimental library.
 Third-party applications should not depend on this library. Please read
 README.Debian if you are considering a build-dependency on this package.

Package: libphonon4qt5experimental4t64
Replaces: libphonon4qt5experimental4
Breaks: libphonon4qt5experimental4 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libphonon4qt5-4t64 (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Provides: ${t64:Provides}, phonon4qt5experimental-abi-1
Description: multimedia framework from KDE using Qt 5 - experimental library (internal)
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Phonon-Experimental library, which might be needed
 by Phonon back-ends or other internal applications. Third-party applications
 should not depend on this library. Please read README.Debian before using this
 library.

Package: phonon4qt5
Architecture: any
Multi-Arch: same
Depends: libphonon4qt5-4t64 (>= ${source:Version}),
         ${misc:Depends},
         ${phonon:Recommended-Backend-qt5} | phonon4qt5-backend,
Suggests: phonon4qt5-backend-gstreamer, phonon4qt5-backend-vlc
Description: multimedia framework from KDE using Qt 5 - metapackage
 Phonon Qt 5 is a multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that the system has a working Phonon configuration
 installed (the core library and at least one back-end).

Package: phonon4qt5-backend-null
Architecture: any
Multi-Arch: same
Provides: phonon4qt5-backend
Depends: libphonon4qt5-4t64, ${misc:Depends}
Conflicts: phonon4qt5-backend
Description: multimedia framework from KDE using Qt 5 - null back-end (no real back-end)
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon back-end. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behavior
 with this package installed has not been well tested.

Package: phonon4settings
Architecture: any
Depends: libphonon4qt6-4t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: phonon4qt5settings,
Replaces: phonon4qt5settings,
Description: multimedia framework from KDE using - settings application
 Phonon is a Qt multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains a graphical configuration for the Phonon cross-platform
 multimedia framework.

Package: libphonon4qt6-4t64
Provides: ${t64:Provides}
Replaces: libphonon4qt6-4
Breaks: libphonon4qt6-4 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libphonon-l10n (>= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Description: multimedia framework from KDE using Qt 6 - core library
 Phonon is a Qt 6 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon.

Package: libphonon4qt6-dev
Architecture: any
Section: libdevel
Depends: libphonon4qt6-4t64 (= ${binary:Version}),
         phonon4qt6-backend-null | phonon4qt6,
         ${misc:Depends},
         ${shlibs:Depends},
Description: multimedia framework from KDE using Qt 6 - development files
 Phonon is a Qt 6 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Phonon cross-platform multimedia framework.

Package: libphonon4qt6experimental-dev
Architecture: any
Section: libdevel
Depends: libphonon4qt6experimental4t64 (= ${binary:Version}), ${misc:Depends}
Description: multimedia framework from KDE using Qt 6 - experimental development files
 Phonon is a Qt 6 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Phonon back-ends
 or internal applications which need the Phonon-Experimental library.
 Third-party applications should not depend on this library. Please read
 README.Debian if you are considering a build-dependency on this package.

Package: libphonon4qt6experimental4t64
Replaces: libphonon4qt6experimental4
Breaks: libphonon4qt6experimental4 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libphonon4qt6-4t64 (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Provides: ${t64:Provides}, phonon4qt6experimental-abi-1
Description: multimedia framework from KDE using Qt 6 - experimental library (internal)
 Phonon is a Qt 6 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Phonon-Experimental library, which might be needed
 by Phonon back-ends or other internal applications. Third-party applications
 should not depend on this library. Please read README.Debian before using this
 library.

Package: phonon4qt6
Architecture: any
Multi-Arch: same
Depends: libphonon4qt6-4t64 (>= ${source:Version}),
         ${misc:Depends},
         ${phonon:Recommended-Backend-qt6} | phonon4qt6-backend,
Suggests: phonon4qt6-backend-gstreamer, phonon4qt6-backend-vlc
Description: multimedia framework from KDE using Qt 6 - metapackage
 Phonon Qt 6 is a multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that the system has a working Phonon configuration
 installed (the core library and at least one back-end).

Package: phonon4qt6-backend-null
Architecture: any
Multi-Arch: same
Provides: phonon4qt6-backend
Depends: libphonon4qt6-4t64, ${misc:Depends}
Conflicts: phonon4qt6-backend
Description: multimedia framework from KDE using Qt 6 - null back-end (no real back-end)
 Phonon is a Qt 6 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon back-end. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behavior
 with this package installed has not been well tested.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with kf6

RECOMMENDED_PHONON4_QT5_BACKEND := phonon4qt5-backend-vlc
RECOMMENDED_PHONON4_QT6_BACKEND := phonon4qt6-backend-vlc

execute_after_dh_auto_install:
	rm -v debian/tmp/usr/include/phonon4qt5/KDE/Phonon/AudioDevice
	rm -v debian/tmp/usr/include/phonon4qt5/KDE/Phonon/AudioDeviceEnumerator

# shlibs is needed for library-packages.mk (strict shlibs) to work
override_dh_makeshlibs:
	dh_makeshlibs -plibphonon4qt5-4t64 -V'libphonon4qt5-4 (>= $(DEB_VERSION_EPOCH_UPSTREAM)), phonon4qt5'
	dh_makeshlibs -plibphonon4qt6-4t64 -V'libphonon4qt6-4 (>= $(DEB_VERSION_EPOCH_UPSTREAM)), phonon4qt6'
	dh_makeshlibs -V --remaining-packages

override_dh_shlibdeps:
	dh_shlibdeps -- -xphonon4qt5 -xphonon4qt6

override_dh_gencontrol:
	# Expand some variables in maintainer scripts and debconf templates
	@for f in debian/*/DEBIAN/post* \
	          debian/*/DEBIAN/pre* \
	          debian/*/DEBIAN/config \
	          debian/*/DEBIAN/templates; do \
	    if [ -f "$$f" ]; then \
	        cmd="awk -f debian/expand_vars.awk -v recommended4qt5_backend='$(RECOMMENDED_PHONON4_QT5_BACKEND)' -v recommended4qt6_backend='$(RECOMMENDED_PHONON4_QT6_BACKEND)' -- $$f > $$f.tmp && cat $$f.tmp >| $$f && rm -f $$f.tmp"; \
	        echo "$$cmd"; eval "$$cmd"; \
	    fi; \
	done
	if [ -d debian/phonon4qt5-backend-null ]; then \
	    sed -i 's/\$${recommended4qt5_backend}/$(RECOMMENDED_PHONON4_QT5_BACKEND)/g' \
	        debian/phonon4qt5-backend-null/usr/share/doc/phonon4qt5-backend-null/README.Debian; \
	fi
	if [ -d debian/phonon4qt6-backend-null ]; then \
	    sed -i 's/\$${recommended4qt6_backend}/$(RECOMMENDED_PHONON4_QT6_BACKEND)/g' \
	        debian/phonon4qt6-backend-null/usr/share/doc/phonon4qt6-backend-null/README.Debian; \
	fi
	dh_gencontrol -- -Vphonon:Recommended-Backend-qt5=$(RECOMMENDED_PHONON4_QT5_BACKEND) -Vphonon:Recommended-Backend-qt6=$(RECOMMENDED_PHONON4_QT6_BACKEND)

## phonon 4.12.0+p24.04+vstable+git20250917.0042

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20250917.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 00:42:14 +0000

phonon (4:4.12.0-11neon) noble; urgency=medium

  [ Carlos De Maine ]
  * Initial repackage with dual build qt5 & qt6

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Nov 2023 19:11:06 +0000

phonon (4:4.11.1-4) UNRELEASED; urgency=medium

  [ Debconf translation updates ]
  * Dutch (Frans Spiesschaert). (Closes: #945358)
  * Portuguese (Américo Monteiro). (Closes: #962410)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 25 Nov 2019 15:16:52 -0300

## phonon 4.12.0+p24.04+vstable+git20251020.0604

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(Phonon VERSION "4.12.0")

include(FeatureSummary)

option(PHONON_BUILD_EXPERIMENTAL "Build the experimental library" ON)
option(PHONON_BUILD_DEMOS "Build the demos" OFF)
option(PHONON_BUILD_DESIGNER_PLUGIN "Build the Qt Designer plugin" ON)
option(PHONON_BUILD_DOC "Build the API documentation" OFF)
option(PHONON_BUILD_SETTINGS "Build the settings GUI" ON)
option(PHONON_BUILD_QT5 "Build for Qt5" ON)
option(PHONON_BUILD_QT6 "Build for Qt6" ON)
option(PHONON_NO_CAPTURE "Disable the capture capabilities")

# CI is stupid and doesn't allow us to set CMAKE options per build variant
if($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(PHONON_BUILD_QT5 ON)
    set(PHONON_BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(PHONON_BUILD_QT5 OFF)
    set(PHONON_BUILD_QT6 ON)
endif()

set(VERSIONS)
if(PHONON_BUILD_QT5)
    list(APPEND VERSIONS "5")
endif()
if(PHONON_BUILD_QT6)
    list(APPEND VERSIONS "6")
    set(BUILD_WITH_QT6 ON) # necessary on older ECMs
endif()

# Not set by ECM (yet)
set(CMAKE_AUTOUIC TRUE)
set(CMAKE_AUTORCC TRUE)

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

find_package(ECM 5.90 NO_MODULE)
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Extra CMake Modules"
    URL "https://api.kde.org/frameworks/extra-cmake-modules/html/index.html")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
include(KDECompilerSettings NO_POLICY_SCOPE)

include(CMakePackageConfigHelpers)
include(ECMGeneratePkgConfigFile)
include(ECMPoQmTools)
include(ECMSetupVersion)

foreach(version ${VERSIONS})
    set(QT_MAJOR_VERSION ${version})

    include(KDEInstallDirs${version})
    include(KDECMakeSettings)
    include(ECMGeneratePriFile)

    set(PHONON_LIB_SONAME phonon4qt${QT_MAJOR_VERSION})
    set(PHONON_LIB_SONAME_CAMEL Phonon4Qt${QT_MAJOR_VERSION})

    ecm_setup_version(PROJECT
        VARIABLE_PREFIX PHONON
        SOVERSION 4
        VERSION_HEADER ${PHONON_LIB_SONAME}/phonon_version.h
        PACKAGE_VERSION_FILE ${PHONON_LIB_SONAME_CAMEL}ConfigVersion.cmake
    )

    # Glorified write_basic_package_version_file call for experimental. Experimental
    # inherits the versions from Phonon proper, so we technically don't need this.
    ecm_setup_version(${PHONON_VERSION}
        VARIABLE_PREFIX PHONON_EXPERIMENTAL
        SOVERSION ${PHONON_SOVERSION}
        PACKAGE_VERSION_FILE ${PHONON_LIB_SONAME_CAMEL}ExperimentalConfigVersion.cmake
    )

    set(INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/${PHONON_LIB_SONAME}")
    set(PLUGIN_INSTALL_DIR ${KDE_INSTALL_QTPLUGINDIR})
    if(WIN32) # Imported from Phonon VLC
        set(PLUGIN_INSTALL_DIR ${KDE_INSTALL_BINDIR})
    endif()
    set(BACKEND_DIR_SUFFIX "${PHONON_LIB_SONAME}_backend")
    set(BACKEND_INSTALL_DIR "${PLUGIN_INSTALL_DIR}/${BACKEND_DIR_SUFFIX}")

    set(PHONON_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

    ################################# Requirements #################################

    set(REQUIRED_QT_VERSION 5.15.0)

    # Core Requirements
    find_package(Qt${QT_MAJOR_VERSION}Core ${REQUIRED_QT_VERSION})
    set_package_properties(Qt${QT_MAJOR_VERSION}Core PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Qt${QT_MAJOR_VERSION} core module"
        URL "https://www.qt.io/download")
    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Core ALIAS Qt${QT_MAJOR_VERSION}::Core)

    find_package(Qt${QT_MAJOR_VERSION}Gui ${REQUIRED_QT_VERSION})
    set_package_properties(Qt${QT_MAJOR_VERSION}Gui PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Qt${QT_MAJOR_VERSION} GUI module"
        URL "https://www.qt.io/download")
    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Gui ALIAS Qt${QT_MAJOR_VERSION}::Gui)

    find_package(Qt${QT_MAJOR_VERSION}Widgets ${REQUIRED_QT_VERSION})
    set_package_properties(Qt${QT_MAJOR_VERSION}Widgets PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Qt${QT_MAJOR_VERSION} widgets module"
        URL "https://www.qt.io/download")
    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Widgets ALIAS Qt${QT_MAJOR_VERSION}::Widgets)

    if(PHONON_BUILD_DESIGNER_PLUGIN)
        # Designer Plugin
        find_package(Qt${QT_MAJOR_VERSION}Designer ${REQUIRED_QT_VERSION})
        set_package_properties(Qt${QT_MAJOR_VERSION}Designer PROPERTIES
            TYPE RECOMMENDED
            DESCRIPTION "Needed to build the Qt Designer plugin"
            URL "https://www.qt.io/download")
        # https://bugreports.qt.io/browse/QTBUG-114706
        if(Qt${QT_MAJOR_VERSION}Xml_FOUND)
            add_library(Qt::Xml ALIAS Qt${QT_MAJOR_VERSION}::Xml)
        endif()
        if(QT_MAJOR_VERSION STREQUAL "6")
            # Qt6Designer links to OpenGLWidgets but doesnt find it
            find_package(Qt6OpenGLWidgets ${REQUIRED_QT_VERSION})
            # https://bugreports.qt.io/browse/QTBUG-114706
            add_library(Qt::OpenGLWidgets ALIAS Qt6::OpenGLWidgets)
        endif()
    endif()

    if(QT_MAJOR_VERSION STREQUAL "6")
        find_package(Qt6Core5Compat REQUIRED)
    endif()

    set(BUILDSYSTEM_INSTALL_DIR ${CMAKE_INSTALL_FULL_DATAROOTDIR}/${PHONON_LIB_SONAME}/buildsystem/)
    add_definitions(
        -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
        -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    )

    if(Qt${QT_MAJOR_VERSION}Designer_FOUND AND PHONON_BUILD_DESIGNER_PLUGIN)
        add_subdirectory(designer designer${QT_MAJOR_VERSION})
    endif()

    add_subdirectory(includes includes${PHONON_LIB_SONAME})
    add_subdirectory(phonon ${PHONON_LIB_SONAME})

    set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${PHONON_LIB_SONAME}")

    configure_package_config_file(
        PhononConfig.cmake.in
        ${PHONON_LIB_SONAME_CAMEL}Config.cmake
        PATH_VARS
            INCLUDE_INSTALL_DIR
            KDE_INSTALL_LIBDIR
            BUILDSYSTEM_INSTALL_DIR
        INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}Config.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ConfigVersion.cmake
            DESTINATION ${CMAKECONFIG_INSTALL_DIR}
            COMPONENT Devel)

    install(EXPORT PhononLibs${QT_MAJOR_VERSION}
            DESTINATION ${CMAKECONFIG_INSTALL_DIR}
            NAMESPACE Phonon::
            FILE PhononTargets.cmake)

    if(PHONON_BUILD_EXPERIMENTAL)
        configure_package_config_file(
            PhononExperimentalConfig.cmake.in
            ${PHONON_LIB_SONAME_CAMEL}ExperimentalConfig.cmake
            PATH_VARS
                INCLUDE_INSTALL_DIR
                KDE_INSTALL_LIBDIR
                BUILDSYSTEM_INSTALL_DIR
            INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        )

        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ExperimentalConfig.cmake
                    ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ExperimentalConfigVersion.cmake
                DESTINATION ${CMAKECONFIG_INSTALL_DIR}
                COMPONENT Devel
        )

        install(EXPORT PhononExperimentalLibs${QT_MAJOR_VERSION}
                DESTINATION ${CMAKECONFIG_INSTALL_DIR}
                NAMESPACE Phonon::
                FILE PhononExperimentalTargets.cmake)
    endif()

    ecm_generate_pkgconfig_file(
        BASE_NAME ${PHONON_LIB_SONAME}
        INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}
        DESCRIPTION "Phonon library needed to build applications"
        INSTALL
    )

    if(QT_MAJOR_VERSION VERSION_EQUAL 5)
        ecm_generate_pri_file(
            BASE_NAME ${PHONON_LIB_SONAME}
            LIB_NAME ${PHONON_LIB_SONAME}
            DEPS "core widgets"
            FILENAME_VAR pri_filename
            INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}
        )
        install(FILES ${pri_filename} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
    endif()

    unset(QUERY_EXECUTABLE CACHE)
endforeach()

if(PHONON_BUILD_DOC)
    add_subdirectory(doc)
endif()

if(PHONON_BUILD_DEMOS)
    message(STATUS "Building demos.")
    # Demos may also be built standalone, so we need to skip their find_package call!
    set(CMAKE_DISABLE_FIND_PACKAGE_Phonon4Qt5 TRUE)
    add_subdirectory(demos)
endif()

if(PHONON_BUILD_SETTINGS)
    add_subdirectory(settings)
endif()

if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/poqm")
    ecm_install_po_files_as_qm(poqm)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20251020.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:04:39 +0000

## phonon 4.12.0+p24.04+vstable+git20260102.1243

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20260102.1243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:43:48 +0000

## phonon 4.12.0+p24.04+vstable+git20260113.0229

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20260113.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:29:55 +0000

## phonon 4.12.0+p24.04+vstable+git20260116.0222

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vstable+git20260116.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:22:06 +0000

## phonon 4.12.0+p24.04+vunstable+git20250924.0943

=== phonon/CMakeLists.txt ===
--- 
+++ 
@@ -95,10 +95,6 @@
         ${optional_link_libraries}
 )
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(${PHONON_LIB_SONAME} PRIVATE Qt6::Core5Compat)
-endif()
-
 set_target_properties(${PHONON_LIB_SONAME}
     PROPERTIES
         VERSION ${PHONON_VERSION}
